New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ

Tools

Start with the exact device model when choosing replacement parts. For repair equipment, compare the task, supported models, voltage and plug, compatible tips or fixtures, and package contents.

1567 products found

Category

Brand

Price (USD)

—

Sort by

Reset
1567 products found
TBK Universal Back Cover Press Mould Fixture for TBK958A 958B 958C Laser Separator Machine -31%
TBK
TBK Universal Back Cover Press Mould Fixture for TBK958A 958B 958C Laser Separator Machine
No reviews yet · In Stock
$19.99 $29.00
CODE: LS-LSR007
CJ7+ Electric Cleaning Twister Glue Remover -48%
Best
CJ7+ Electric Cleaning Twister Glue Remover
No reviews yet · In Stock
$10.90 $21.00
CODE: GR-GLR010
MaAnt Special Diamond Wire for LCD Separator 100M -25%
MaAnt
MaAnt Special Diamond Wire for LCD Separator 100M
No reviews yet · In Stock
$1.50 $2.00
CODE: RF-RFC012
TBK 201A Phone Screen Back Cover Rotating Pressure Holding Mould NEW
TBK
TBK 201A Phone Screen Back Cover Rotating Pressure Holding Mould
No reviews yet · In Stock
$47.59
CODE: HP-HTP022
Cellphone LCD Screen Separator Handy Tool -67%
Best
Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$0.99 $3.00
CODE: RF-RFC013
Alloy Wire for Cellphone LCD Screen Separator Handy Tool -50%
Best
Alloy Wire for Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$1.50 $3.00
CODE: RF-RFC014
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X -33%
Best
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X
No reviews yet · In Stock
$4.00 $6.00
CODE: RF-RFC015
TBK 958F 20W Fiber Automatic Laser Removal Back Cover Glass Machine -11%
TBK
TBK 958F 20W Fiber Automatic Laser Removal Back Cover Glass Machine
No reviews yet · In Stock
$1,635.99 $1,828.00
CODE: LS-LSR008
TBK-288 Automatic Intelligent Control Screen Sepatator -12%
TBK
TBK-288 Automatic Intelligent Control Screen Sepatator
No reviews yet · In Stock
$495.55 $560.00
CODE: HP-HTP023
Mijing SR20 Screen Removal Tool NEW
MiJing
Mijing SR20 Screen Removal Tool
No reviews yet · In Stock
$10.99
CODE: HP-HTP024
Pull Tape Sticker for Phone LCD OCA Repair NEW
Best
Pull Tape Sticker for Phone LCD OCA Repair
No reviews yet · In Stock
$0.01
CODE: RF-RFC016
Laser Separate Machine Back Cover Protect Mold for iPhone 8-14 ProMax -90%
M-Triangel
Laser Separate Machine Back Cover Protect Mold for iPhone 8-14 ProMax
No reviews yet · In Stock
$9.90 $99.00
CODE: LS-LSR009
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair -17%
M-Triangel
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair
No reviews yet · In Stock
$2.50 $3.00
CODE: RF-RFC017
iPhone 12 Pro Max Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone 12 Pro Max Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$9.00
CODE: LM-MLD004
iPhone 12Pro Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone 12Pro Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$9.00
CODE: LM-MLD005
TBK-202 Side Open Universal Unheated LCD Screen Separator
TBK
TBK-202 Side Open Universal Unheated LCD Screen Separator
No reviews yet · In Stock
$22.00 $24.00
CODE: HP-HTP025
i2C Combination Kit G200 Handles with Q5 Blades NEW
i2c
i2C Combination Kit G200 Handles with Q5 Blades
No reviews yet · In Stock
$8.00
CODE: GR-GLR012
MaAnt PHD Multifunctional Heating Pad 320*220mm NEW
MaAnt
MaAnt PHD Multifunctional Heating Pad 320*220mm
No reviews yet · In Stock
$27.99
CODE: HP-HTP026
Mechanic IR14 Mobile Phone Screen OCA Glue Cutting / Grinding All-in-one Electric Remover -14%
MECHANIC
Mechanic IR14 Mobile Phone Screen OCA Glue Cutting / Grinding All-in-one Electric Remover
No reviews yet · In Stock
$11.99 $13.99
CODE: GR-GLR013
iPhone 11 Pro Max Aluminum Mould with Silicone Mat Mold Laminator NEW
Best
iPhone 11 Pro Max Aluminum Mould with Silicone Mat Mold Laminator
No reviews yet · In Stock
$8.00
CODE: LM-MLD006
TBK-808A 13inch Vaccum Laminator Bubble Remover Machine -21%
TBK
TBK-808A 13inch Vaccum Laminator Bubble Remover Machine
No reviews yet · In Stock
$520.00 $658.00
CODE: LM-VAC006
SunShine S-918L Plus Mobile Phone Flat And Curved Screen Separator Machine
SunShine
SunShine S-918L Plus Mobile Phone Flat And Curved Screen Separator Machine
No reviews yet · In Stock
$66.99 $72.99
CODE: HP-HTP027
TBK 288M Manual Screen Disassembling Machine NEW
TBK
TBK 288M Manual Screen Disassembling Machine
No reviews yet · In Stock
$445.99
CODE: HP-HTP028
TBK 201D Phone Screen Heating And Pressing Machine NEW
TBK
TBK 201D Phone Screen Heating And Pressing Machine
No reviews yet · In Stock
$225.00
CODE: HP-HTP029

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.